Skip to main content
PATCH
/
v1
/
x402
/
endpoints
/
{id}
Update x402 endpoint
curl --request PATCH \
  --url https://api.getsly.ai/v1/v1/x402/endpoints/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "basePrice": 499999.50005,
  "volumeDiscounts": [
    {
      "threshold": 123,
      "priceMultiplier": 0
    }
  ],
  "status": "active",
  "webhookUrl": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "path": "<string>",
    "method": "GET",
    "basePrice": 123,
    "currency": "USDC",
    "paymentAddress": "<string>",
    "network": "<string>",
    "totalCalls": 123,
    "totalRevenue": 123,
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "volumeDiscounts": [],
    "assetAddress": "<string>",
    "webhookUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
description
string
Maximum string length: 1000
basePrice
number
Required range: 0.0001 < x <= 999999
volumeDiscounts
object[]
status
enum<string>
Available options:
active,
paused,
disabled
webhookUrl
string<uri>

Response

Updated endpoint

data
object
required